<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>30.task 10</title>
</head>

<body>

</body>
<script>
    function Task10(x, y) {
        var vArray = [10, 20, 30, 40, 50];
        var vTemp = 0;
        vTemp = vArray[x];
        vArray.splice(x, 1);
        vArray.splice(y, 0, vTemp);
        console.log(vArray);
    }
    Task10(0, 2);
    Task10(1, 2);
</script>

</html>